#ifndef Shop_H
#define Shop_H

#include <Klient.h>
#include <Fenster.h>
#include <Knopf.h>
#include <Animation.h>
#include "Spiele/SpieleKaufen.h"
#include "Karten/KartenKaufen.h"

using namespace Framework;

class Shop : public Zeichnung
{
private:
	int animation;
	Punkt begPos;
	Punkt begGröße;
	Punkt pos1;
	Punkt größe1;
	Punkt pos2;
	Punkt größe2;
	Punkt bildschirmGröße;
	LRahmen *rahmen;
	Knopf *spiele;
	Knopf *karten;
	SpieleKaufen *spielKaufen;
	KartenKaufen *karteKaufen;
	int alpha;
	bool sichtbar;
	int jetzt;
	int prozent1;
	int prozent2;
	double tickVal;
	int ref;

public:
	// Konstruktor
	Shop( Schrift *zSchrift, Fenster *zNachLoginFenster, int x );
	// Destruktor
	~Shop();
	// nicht constant
	void setSichtbar( bool sicht );
	bool tick( double tickVal ) override;
	void doMausEreignis( MausEreignis &me ) override;
	void doTastaturEreignis( TastaturEreignis &te ) override;
	void render( Bild &zRObj ) override;
	// constant
	bool istAnimiert() const;
	bool istSichtbar() const;
	// Reference Counting
	Shop *getThis();
	Shop *release();
};

#endif